> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата

> Получение текущего результата генерации по jobId



## OpenAPI

````yaml openapi/ru/grok.json get /grok/fetch
openapi: 3.1.0
info:
  title: Документация видео API Grok
  version: 1.0.0
  description: видео API Grok обеспечивает эффективный анализ и создание видео.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/fetch:
    get:
      description: Получение текущего результата генерации по jobId
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Идентификатор сгенерированного видео
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: >-
                      Статус задачи: ожидание очереди / в очереди / успех /
                      ошибка
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      finishTime:
                        type: string
                        description: 'Время завершения, формат: YYYY-MM-DD HH:mm:ss'
                      prompt:
                        type: string
                        description: Промпт генерации видео
                      quota:
                        type: string
                        description: Израсходованная quota
                      hookUrl:
                        type:
                          - string
                          - 'null'
                        description: URL обратного вызова, null если не указан
                      videoId:
                        type: string
                        description: ID сгенерированного видео
                      aspectRatio:
                        type: string
                        description: Соотношение сторон видео, например 9:16.
                      videoLength:
                        type: string
                        description: Длительность видео (секунды)
                      resolutionName:
                        type: string
                        description: Разрешение видео, например 720p
                      referImage:
                        type:
                          - string
                          - 'null'
                        description: >-
                          URL референс-изображения. Срок действия: см. [Хранение
                          и устойчивость](/grids/ru/faq/storage)
                      videoUrl:
                        type:
                          - string
                          - 'null'
                        description: >-
                          URL сгенерированного видео. Срок действия: см.
                          [Хранение и устойчивость](/grids/ru/faq/storage)
                example:
                  status: SUCCESS
                  message: success
                  jobId: c822d894-fba8-4cd7-8b34-5cf54284af61
                  data:
                    videoId: video_b96164dd8bfa43518c858bcf
                    prompt: >-
                      Static camera shot of ants crawling on a stone lantern
                      with flowers and grass gently swaying in the breeze in the
                      background, accompanied by the sound of cicadas
                    aspectRatio: '9:16'
                    videoLength: '30'
                    resolutionName: 720p
                    referImage: >-
                      https://api.nananobanana.cn/api/cos-proxy/default-tenant-001/images/a515af9c-1619-42e8-abc7-97a6792ec524.png
                    videoUrl: >-
                      https://cdn.ttapi.io/other/2026-03-10/56a8bece963a4e8e9a585f41c5d24162.mp4
                    quota: '9'
                    finishTime: '2026-03-10 09:52:59'
                    hookUrl: null
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````